Description

How to reproduce:

Edit a host, get a conflict: this displays an error info in a modal dialog.

Ack then overwrite: it should have shown another error info in a modal dialog too,

but instead of an HTML fragment, foreman gave a full HTML page (with html, head and body) as an answer to some AJAX query,

this has the nasty effect of clearing the page, only showing "2012".

Clue:

$.ajax({

  [...],

  success: function(result) {

    # If result is an HTML fragment, everything is fine

    # if it is a full HTML page, this will somehow clear the page and show "2012"...

    $('#modal-frame-content').html(result);

  }

});

 This is a general problem that can arise with code like the above.

Associated revisions

Revision 72da1d77 - 07/17/2012 09:59 AM - Amos Benari

fixes #1753 - Showing a modal from an AJAX request that returns a full-blown HTML page clears the page

History

#1 - 07/16/2012 06:59 AM - Ohad Levy

can you provide the logs from foreman while doing the request?

#2 - 07/17/2012 05:09 AM - Romain Vrignaud

- Priority changed from High to Normal

#3 - 07/17/2012 07:23 AM - Ohad Levy

this seems to happen only when the response is 404.

and I'm guessing its related to when renaming a host.

#4 - 07/17/2012 10:00 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 72da1d773df7ef9bc4c41e6650e871db0b7d0f2e.
